## org.apache.lucene.analysis.ru
Class RussianStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.ru.RussianStemFilter

    public final class RussianStemFilter

extends TokenFilter

A filter that stems Russian words. The implementation was inspired by GermanStemFilter. The input should be filtered by RussianLowerCaseFilter before passing it to RussianStemFilter , because RussianStemFilter only works with lowercase part of any "russian" charset.

Version:
  $Id: RussianStemFilter.java 564236 2007-08-09 15:21:19Z gsingers $

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`RussianStemFilter(TokenStream in, char[] charset)`

Method Summary
`Token` `next()` Returns the next token in the stream, or null at EOS.
`void` `setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)` Set a alternative/custom RussianStemmer for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianStemFilter

    public RussianStemFilter(TokenStream in,
                             char[] charset)

Method Detail

### next

    public final Token next()
                     throws IOException

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. The returned Token is a "full private copy" (not re-used across calls to next()) but will be slower than calling `TokenStream.next(Token)` instead..

  Overrides:
    `next` in class `TokenStream`
  Returns:
    Returns the next token in the stream, or null at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)

  Set a alternative/custom RussianStemmer for this filter.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.